#ifndef DATACONSUMER_H
#define DATACONSUMER_H

#include <string>
#include <QVariant>
#include "Define.h"
#include <QThread>
#include <QLibrary>
class Client;
class DataConsumer:public QObject//, public BaseModule
{
    Q_OBJECT
public:
    DataConsumer();
    ~DataConsumer();
    std::string dataName;
    virtual void Setup(ConsumerInfo& ci);

    virtual std::string getTypeList();

    //virtual void setLoader(QLibrary*);

    virtual void Run() ;
public slots:
    virtual void OnData(const QString& ,const QString& ,const QVariant&);
//private:
    //virtual void run();
private:
    QLibrary* library = nullptr;
    DataConsumer* dataConsumer = nullptr;
    //std::string dataName;
    ConsumerInfo ci;
    Client* runable = nullptr;

};

#endif // DATACONSUMER_H
